Probleme mit Version 0.4.17.1

German
diabolusUmarov
Member
 
Posts: 118
Joined: Sat Jun 24, 2017 14:27
In-game: diabolusUmarov

Probleme mit Version 0.4.17.1

by diabolusUmarov » Thu Sep 13, 2018 11:34

Mahlzeit!

Ich habe heute den Server auf Version 0.4.17.1 angehoben und seither geht nichts mehr. Viele Mods produzieren Errors. Als Beispiel:

Code: Select all
2018-09-13 12:40:28: ERROR[Main]:    [C]: in function 'dofile'
2018-09-13 12:40:28: ERROR[Main]:    ...-server/minetest/bin/../mods/nether-pack/nether/init.lua:1019: in main chunk


Kann man das beheben, oder muss ich ein Downgrade machen?
 

User avatar
Vapalus
Member
 
Posts: 112
Joined: Wed Nov 15, 2017 17:16

Re: Probleme mit Version 0.4.17.1

by Vapalus » Thu Sep 13, 2018 12:10

Schnellster Fix ist ein Downgrade, also würde ich das erst mal machen. Dann evtl. den 0.4.17.1 Server mal auf nen anderen Port starten, zum Testen.
Es kann auch sein, dass du beim Server ein paar Pakete updaten musst, guck mal nach, was die Mindestanforderungen sind, und ob es nach einem "apt-get update" und "apt-get upgrade" behoben ist (falls du Linux verwendest).
Falls du auf Windownoes bist, probier mal die 32-bit-version.
A man much wiser than me once said: "go away, you are bothering me"
 

diabolusUmarov
Member
 
Posts: 118
Joined: Sat Jun 24, 2017 14:27
In-game: diabolusUmarov

Re: Probleme mit Version 0.4.17.1

by diabolusUmarov » Thu Sep 13, 2018 12:15

Ich arbeite zwar mit Linux, aber mit Gentoo. Update kann trotzdem nichts schaden ;).

Jetzt muss ich dann nur herausfinden, wie ich mit git wieder die Version 0.4.16-dev kriege ...
 

User avatar
Vapalus
Member
 
Posts: 112
Joined: Wed Nov 15, 2017 17:16

Re: Probleme mit Version 0.4.17.1

by Vapalus » Thu Sep 13, 2018 12:30

Benutzt du prinzipiell die -dev Versionen?
Anmerkung: Backups sind für die Schwachen.
A man much wiser than me once said: "go away, you are bothering me"
 

User avatar
joe7575
Member
 
Posts: 242
Joined: Mon Apr 24, 2017 20:38
Location: Germany, in the deep south
GitHub: joe7575
In-game: JoSto

Re: Probleme mit Version 0.4.17.1

by joe7575 » Thu Sep 13, 2018 13:52

Ich würde erst mal schauen, ob es bei den betroffenen Mods Updates gibt. Ich musste bspw. bei meinen Mods auch teilweise was ändern, damit diese unter 0.4.17.1 laufen.
Sent from my Commodore 64. My Mods: TechPack, Hyperloop, Tower Crane, Lumberjack, Iron Age, Entrance.
 

diabolusUmarov
Member
 
Posts: 118
Joined: Sat Jun 24, 2017 14:27
In-game: diabolusUmarov

Re: Probleme mit Version 0.4.17.1

by diabolusUmarov » Thu Sep 13, 2018 15:19

Nein. Das ich die 0.4.16-dev benutzt habe, war eigentlich gar nicht geplant.

@Joe

Unmöglich ist das nicht, dass die Mods das Problem sind. Das Nether-Pack ist jedoch Uptodate.

Wenn ich wenigstens wüsste, was mir der Fehler sagen will, dann könnte ich es ja selbst beheben. Aber das angegebene File ist an entsprechender Stelle vorhanden. Kein Plan, was es da für Probleme gibt.
 

diabolusUmarov
Member
 
Posts: 118
Joined: Sat Jun 24, 2017 14:27
In-game: diabolusUmarov

Re: Probleme mit Version 0.4.17.1

by diabolusUmarov » Thu Sep 13, 2018 15:27

Jetzt habe ich ein ganz seltsames Problem! Der Server läuft laut Terminal, doch wenn ich mich anmelden will bekomme ich die Meldung:

Code: Select all
Protokollversionsfehler. Server erfordert Protokollversion 36. Wir unterstütze
n Protokollversionen zwischen 25 und 32.


Was ist denn nun das für ein Mist?
 

diabolusUmarov
Member
 
Posts: 118
Joined: Sat Jun 24, 2017 14:27
In-game: diabolusUmarov

Re: Probleme mit Version 0.4.17.1

by diabolusUmarov » Thu Sep 13, 2018 15:51

Okay. Der Fehler hat mich jetzt auf das Problem gebracht! Ich habe nicht 0.4.17.1 gebaut, sondern 0.5! Verdammt, so war ja der Plan nun wieder nicht.
 

diabolusUmarov
Member
 
Posts: 118
Joined: Sat Jun 24, 2017 14:27
In-game: diabolusUmarov

Re: Probleme mit Version 0.4.17.1

by diabolusUmarov » Thu Sep 13, 2018 17:23

Geil. Jetzt ist 0.4.17.1 drauf, alles ganz frisch und wenn ich versuche zu starten bricht es ab weil Fireflies a nil value bringt. Grummel
 

diabolusUmarov
Member
 
Posts: 118
Joined: Sat Jun 24, 2017 14:27
In-game: diabolusUmarov

Re: Probleme mit Version 0.4.17.1

by diabolusUmarov » Thu Sep 13, 2018 18:27

Okay, auch dem Problem scheine ich Herr geworden zu sein. Einfach ins

Code: Select all
games/minetest_game


Verzeichnis und dort

Code: Select all
git checkout stable-0.4


Schon startet der Server. Nur ist er eben schön gecrasht nach zwei Schritt laufen ...
 

diabolusUmarov
Member
 
Posts: 118
Joined: Sat Jun 24, 2017 14:27
In-game: diabolusUmarov

Re: Probleme mit Version 0.4.17.1

by diabolusUmarov » Thu Sep 13, 2018 18:31

Kann mit dem Fehler jemand was anfangen?

Code: Select all
2018-09-13 20:28:35: ERROR[Main]: ServerError: AsyncErr: environment_Step: Runtime error from mod 'mesecons' in callback environment_Step(): ...st/bin/../games/minetest_game/mods/default/functions.lua:547: core.check_player_privs expects a player or playername as argument.
2018-09-13 20:28:35: ERROR[Main]: stack traceback:
2018-09-13 20:28:35: ERROR[Main]:    [C]: in function 'error'
2018-09-13 20:28:35: ERROR[Main]:    ...us/minetest-server/minetest/bin/../builtin/game/misc.lua:11: in function 'check_player_privs'
2018-09-13 20:28:35: ERROR[Main]:    ...st/bin/../games/minetest_game/mods/default/functions.lua:547: in function 'can_interact_with_node'
2018-09-13 20:28:35: ERROR[Main]:    ...r/minetest/bin/../mods/technic/technic_chests/common.lua:31: in function 'allow_metadata_inventory_take'
2018-09-13 20:28:35: ERROR[Main]:    ...erver/minetest/bin/../mods/pipeworks/filter-injector.lua:120: in function 'grabAndFire'
2018-09-13 20:28:35: ERROR[Main]:    ...erver/minetest/bin/../mods/pipeworks/filter-injector.lua:334: in function 'punch_filter'
2018-09-13 20:28:35: ERROR[Main]:    ...erver/minetest/bin/../mods/pipeworks/filter-injector.lua:460: in function 'action_on'
2018-09-13 20:28:35: ERROR[Main]:    ...rver/minetest/bin/../mods/mesecons/mesecons/internal.lua:190: in function <...rver/minetest/bin/../mods/mesecons/mesecons/internal.lua:183>
2018-09-13 20:28:35: ERROR[Main]:    ...r/minetest/bin/../mods/mesecons/mesecons/actionqueue.lua:93: in function 'execute'
2018-09-13 20:28:35: ERROR[Main]:    ...r/minetest/bin/../mods/mesecons/mesecons/actionqueue.lua:84: in function 'func'
2018-09-13 20:28:35: ERROR[Main]:    ...ver/minetest/bin/../builtin/profiler/instrumentation.lua:106: in function <...ver/minetest/bin/../builtin/profiler/instrumentation.lua:100>
2018-09-13 20:28:35: ERROR[Main]:    ...inetest-server/minetest/bin/../builtin/game/register.lua:420: in function <...inetest-server/minetest/bin/../builtin/game/register.lua:400>
 

User avatar
Krock
Developer
 
Posts: 4114
Joined: Thu Oct 03, 2013 07:48
Location: Switzerland
GitHub: SmallJoker

Re: Probleme mit Version 0.4.17.1

by Krock » Fri Sep 14, 2018 18:32

diabolusUmarov wrote:Kann mit dem Fehler jemand was anfangen?

Ja. Zuerst pipeworks, dann mesecons aktualisieren wenn's nach ersterem nicht geht. Dieses Problem wurde schon vor gefühlt einem Monat behoben.
Mod Search Engine - Mods by Krock - DuckDuckGo mod search bang: !mtmod <keyword here>
 


Return to Deutsch



Who is online

Users browsing this forum: No registered users and 2 guests